<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2012-09-06 13:49:09 +0200 (Thu, 06 Sep 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofortInstall.php 5326 2012-09-06 11:49:09Z boehm $
 */

//Notice: DB-field orders_status_name is varchar(32)!
//if following strings are longer, they will be cut!
define('SOFORT_MULTIPAY_STATE_TEMP_GERMAN', 'Bezahlung schwebend');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_GERMAN', 'Bezahlung erfolgt');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_GERMAN', 'Bestätigt');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_GERMAN', 'Bestätigt');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_GERMAN', 'Zu bestätigen');
define('SOFORT_MULTIPAY_STATE_CANCELED_GERMAN', 'Storno/Gutschrift');
define('SOFORT_MULTIPAY_STATE_ABORTED_GERMAN', 'Bezahlung abgebrochen');
define('SOFORT_MULTIPAY_STATE_CHECK_GERMAN', 'Prüfung notwendig');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_GERMAN', 'Rücklastschrift');
define('SOFORT_MULTIPAY_STATE_REFUNDED_GERMAN', 'Erstattung');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_GERMAN', 'Lastschrifteinzug');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_GERMAN', 'Unverändert (nur SOFORT)');

define('SOFORT_MULTIPAY_STATE_TEMP_ENGLISH', 'Payment pending');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_ENGLISH', 'Payment confirmed');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_ENGLISH', 'Confirmed');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_ENGLISH', 'Confirmed');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_ENGLISH', 'To confirm');
define('SOFORT_MULTIPAY_STATE_CANCELED_ENGLISH', 'Cancellation / credit');
define('SOFORT_MULTIPAY_STATE_ABORTED_ENGLISH', 'Payment aborted');
define('SOFORT_MULTIPAY_STATE_CHECK_ENGLISH', 'Needs review.');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_ENGLISH', 'Chargeback');
define('SOFORT_MULTIPAY_STATE_REFUNDED_ENGLISH', 'Refund');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_ENGLISH', 'Direct debit');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_ENGLISH', 'Unchanged (only SOFORT)');

define('SOFORT_MULTIPAY_STATE_TEMP_POLISH', 'Płatność w toku');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_POLISH', 'Płatność została zrealizowana.');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_POLISH', 'Potwierdzone');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_POLISH', 'Potwierdzono');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_POLISH', 'Faktura jeszcze nie zatwierdzona');
define('SOFORT_MULTIPAY_STATE_CANCELED_POLISH', 'Anulacja/zaksięgowanie na dobro rachunku');
define('SOFORT_MULTIPAY_STATE_ABORTED_POLISH', 'Płatność została przerwana');
define('SOFORT_MULTIPAY_STATE_CHECK_POLISH', 'Prüfung notwendig');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_POLISH', 'Zwrotne zlecenie obciążenia rachunku');
define('SOFORT_MULTIPAY_STATE_REFUNDED_POLISH', 'Zwrot');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_POLISH', 'Polecenie zapłaty');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_POLISH', 'Bez zmian (tylko SOFORT)');

define('SOFORT_MULTIPAY_STATE_TEMP_DUTCH', 'In afwachting van betaling');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_DUTCH', 'Betaling afgesloten');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_DUTCH', 'Bevestigd');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_DUTCH', 'Bevestigd');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_DUTCH', 'te bevestigen');
define('SOFORT_MULTIPAY_STATE_CANCELED_DUTCH', 'Storno/credit nota');
define('SOFORT_MULTIPAY_STATE_ABORTED_DUTCH', 'Betaling afgebroken');
define('SOFORT_MULTIPAY_STATE_CHECK_DUTCH', 'Controle noodzakelijk');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_DUTCH', 'terugboeking');
define('SOFORT_MULTIPAY_STATE_REFUNDED_DUTCH', 'vergoeden');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_DUTCH', 'automatische incasso');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_DUTCH', 'Ongewijzigd (alleen SOFORT)');

define('SOFORT_MULTIPAY_STATE_TEMP_FRENCH', 'Paiement en attente');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_FRENCH', 'Paiement confirmé');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_FRENCH', 'Confirmé');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_FRENCH', 'Confirmé');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_FRENCH', 'À confirmer');
define('SOFORT_MULTIPAY_STATE_CANCELED_FRENCH', 'Annulation/crédit');
define('SOFORT_MULTIPAY_STATE_ABORTED_FRENCH', 'Paiement annulé');
define('SOFORT_MULTIPAY_STATE_CHECK_FRENCH', 'Vérification nécessaire');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_FRENCH', 'Rétrofacturation');
define('SOFORT_MULTIPAY_STATE_REFUNDED_FRENCH', 'Remboursement');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_FRENCH', 'Paiement par avis de prélèvement');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_FRENCH', 'Inchangé (seulement SOFORT)');

define('SOFORT_MULTIPAY_STATE_TEMP_ITALIAN', 'Pagamento in sospeso');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_ITALIAN', 'Pagamento eseguito');
define('SOFORT_MULTIPAY_STATE_CONFIRMED_2_ITALIAN', 'Confermato');
define('SOFORT_MULTIPAY_STATE_INVOICE_CONFIRMED_ITALIAN', 'Confermato');
define('SOFORT_MULTIPAY_STATE_UNCONFIRMED_ITALIAN', 'Da confermare');
define('SOFORT_MULTIPAY_STATE_CANCELED_ITALIAN', 'Storno/Accredito');
define('SOFORT_MULTIPAY_STATE_ABORTED_ITALIAN', 'Pagamento interrotto');
define('SOFORT_MULTIPAY_STATE_CHECK_ITALIAN', 'Verifica necessaria');
define('SOFORT_MULTIPAY_STATE_RETURNED_DEBIT_ITALIAN', 'Addebito respinto');
define('SOFORT_MULTIPAY_STATE_REFUNDED_ITALIAN', 'Rimborso');
define('SOFORT_MULTIPAY_STATE_DIRECT_DEBIT_ITALIAN', 'Addebito diretto');
define('SOFORT_MULTIPAY_STATE_UNCHANGED_ITALIAN', 'Invariato (solo SOFORT)');