<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Konfigurationsschlüssel');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Von SOFORT AG zugewiesener Konfigurationsschlüssel');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Konfigurationsschlüssel/API-Key testen');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Bitte Javascript aktivieren!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Zahlungszone');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Verwendungszweck 1');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'Im Verwendungszweck 1 können folgende Optionen ausgewählt werden');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Verwendungszweck 2');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'Im Verwendungszweck (maximal 27 Zeichen) werden folgende Platzhalter ersetzt:<br /> {{order_id}}<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Folgender Fehler wurde während des Prozesses gemeldet:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Die gewählte Zahlart ist leider nicht möglich oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlweise.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner oder Text bei der Auswahl der Zahlungsoptionen');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Banner oder Text bei der Auswahl der Zahlungsoptionen');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Profieinstellungen</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Folgende Einstellungen bedürfen normalerweise keiner Anpassung und sollten bereits mit den korrekten Werten vorbelegt sein.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Logging aktivieren');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Aktivieren Sie das Logging, um Fehler, Warnungen sowie die Anfragen an und die Antworten von den SOFORT-Servern aufzuzeichnen. Das Logging sollte aus Datenschutzgründen nur zur Fehlersuche eingeschaltet sein. Weitere Informationen finden Sie im Handbuch.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Temporärer Bestellstatus');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Bestellstatus für nicht abgeschlossene Transaktionen. Die Bestellung wurde erstellt aber die Transaktion von der SOFORT AG noch nicht bestätigt.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Bestellstatus bei abgebrochener Zahlung'); //Bestellstatus bei abgebrochener/erfolgloser Zahlung
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Bestellstatus bei Bestellungen, die während des Bezahlvorgangs abgebrochen wurden.'); //Bestellstatus bei Bestellungen, die whrend des Bestellvorgangs oder im Wizard abgebrochen wurden.

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'Die Bestellung wurde abgebrochen.'); //Die Bestellung wurde abgebrochen.

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'Transaktions-ID');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Das Modul wurde aktualisiert. Zur korrekten Funktion müssen alle(!) noch vorhandenen SOFORT-Zahlarten deinstalliert und anschließend wieder (nach Bedarf) installiert werden. Bis dahin werden die Zahlarten dem Käufer nicht angeboten. Bitte notieren Sie sich vor der Deinstallation die Moduleinstellungen!');

define('SOFORT_MULTIPAY_FORWARDING', 'Ihre Anfrage wird geprüft, bitte gedulden Sie sich einen Moment und brechen Sie nicht ab. Der Vorgang kann bis zu 30 Sekunden dauern.');
define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Versionsnummer');

define('SOFORT_KEYTEST_SUCCESS', 'API-Key erfolgreich validiert!');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK am');
define('SOFORT_KEYTEST_ERROR', 'API-Key konnte nicht validiert werden!');
define('SOFORT_KEYTEST_ERROR_DESC', 'Achtung: API-Key fehlerhaft');
define('SOFORT_KEYTEST_DEFAULT', 'API-Key noch nicht getestet');

define('SOFORT_REFRESH_INFO', 'Falls Sie diese Bestellung gerade bestätigt, angepasst, storniert oder gutgeschrieben haben, müssen Sie diese Seite ggf. {{refresh}} damit alle Änderungen sichtbar werden.');
define('SOFORT_REFRESH_PAGE', 'Klicken Sie hier, um die Seite neu zu laden');
define('SOFORT_TRANSLATE_TIME', 'Zeit');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0',		'Es ist ein unbekannter Fehler aufgetreten.');
define('SOFORT_MULTIPAY_XML_FAULT_8002',		'Fehler bei der Validierung aufgetreten.');
define('SOFORT_MULTIPAY_XML_FAULT_8010',		'Die Daten sind unvollständig oder fehlerhaft. Bitte korrigieren Sie diese oder kontaktieren Sie den Shopbetreiber.');
define('SOFORT_MULTIPAY_XML_FAULT_8011',		'Nicht im Bereich gültiger Werte.');
define('SOFORT_MULTIPAY_XML_FAULT_8012',		'Wert muss positiv sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8013',		'Es werden im Moment nur Bestellungen in Euro unterstützt. Bitte korrigieren Sie dies und versuchen es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8015',		'Der Gesamtbetrag ist zu groß oder zu klein. Bitte korrigieren Sie dies oder kontaktieren Sie den Shopbetreiber.');
define('SOFORT_MULTIPAY_XML_FAULT_8017',		'Unbekannte Zeichen.');
define('SOFORT_MULTIPAY_XML_FAULT_8018',		'Maximale Anzahl an Zeichen überschritten (max. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019',		'Die Bestellung kann aufgrund fehlerhafter E-Mail-Adresse nicht durchgeführt werden. Bitte korrigieren Sie diese und versuchen Sie es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8020',		'Die Bestellung kann aufgrund fehlerhafter Telefonnummer nicht durchgeführt werden. Bitte korrigieren Sie diese und versuchen Sie es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8021',		'Die Länderkennung wird nicht unterstützt, bitte wenden Sie sich an Ihren Shopbetreiber.');
define('SOFORT_MULTIPAY_XML_FAULT_8022',		'Die angegebene BIC ist nicht gültig.');
define('SOFORT_MULTIPAY_XML_FAULT_8023',		'Die Bestellung kann aufgrund fehlerhafter BIC (Bank Identifier Code) nicht durchgeführt werden. Bitte korrigieren Sie diese und versuchen Sie es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8024',		'Die Bestellung kann aufgrund fehlerhafter Länderkennung nicht durchgeführt werden. Die Liefer-/Rechnungsadresse muss in Deutschland liegen. Bitte korrigieren Sie diese und versuchen Sie es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8029',		'Es werden nur deutsche Konten unterstützt. Bitte korrigieren Sie dies oder wählen Sie eine andere Zahlart.');
define('SOFORT_MULTIPAY_XML_FAULT_8033',		'Der Gesamtbetrag ist zu hoch. Bitte korrigieren Sie dies und versuchen es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8034',		'Der Gesamtbetrag ist zu niedrig. Bitte korrigieren Sie dies und versuchen es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8041',		'Wert für Mehrwertsteuer fehlerhaft. Gültige Werte: 0, 7 oder 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046',		'Die Validierung des Bankkontos und der Bankleitzahl ist fehlgeschlagen.');
define('SOFORT_MULTIPAY_XML_FAULT_8047',		'Die maximale Anzahl von 255 Zeichen wurde überschritten.');
define('SOFORT_MULTIPAY_XML_FAULT_8051',		'Die Anfrage enthielt ungültige Warenkorbpositionen. Bitte korrigieren Sie dies oder kontaktieren Sie den Shopbetreiber.');
define('SOFORT_MULTIPAY_XML_FAULT_8058',		'Bitte geben Sie mindestens den Kontoinhaber an und versuchen Sie es dann erneut.');
define('SOFORT_MULTIPAY_XML_FAULT_8061',		'Eine Transaktion mit den von Ihnen übermittelten Daten existiert bereits.');
define('SOFORT_MULTIPAY_XML_FAULT_8068',		'Kauf auf Rechnung steht momentan nur Privatkunden zur Verfügung.');
define('SOFORT_MULTIPAY_XML_FAULT_10001',		'Bitte füllen Sie die Felder Kontonummer, Bankleitzahl und Kontoinhaber vollständig aus.');  //LS: holder and bankdata missing
define('SOFORT_MULTIPAY_XML_FAULT_10002',		'Bitte die Datenschutzhinweise akzeptieren.');
define('SOFORT_MULTIPAY_XML_FAULT_10003',		'Mit der gewählten Zahlart können Artikel wie Downloads oder Geschenkgutscheine leider nicht bezahlt werden.');  //RBS and virtual content is not allowed
define('SOFORT_MULTIPAY_XML_FAULT_10004',		'Es ist ein unbekannter Fehler aufgetreten.');  //order could not be saved in table sofort_orders
define('SOFORT_MULTIPAY_XML_FAULT_10005',		'Es ist ein unbekannter Fehler aufgetreten.');  //saving of order (after successful payment-process) MAYBE failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10006',		'Es ist ein unbekannter Fehler aufgetreten.');  //saving of order (after successful payment-process) REALLY failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10008',		'Bei der Syncronisation mit den SOFORT-Servern ist ein Fehler aufgetreten. Bitte nutzen Sie die Möglichkeiten im SOFORT-Anbietermenü, um die Rechnung bzw. den Warenkorb zu bearbeiten.');  //Rechnung by SOFORT: Sync of Articles failed

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER',				'Die E-Mail-Adresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER',				'Die Telefonnummer darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME',	'Der Vorname der Rechnungsadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME',	'Der Vorname der Versandadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME',	'Der Nachname der Rechnungsadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME',	'Der Nachname der Versandadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET',		'Straße und Hausnummer müssen durch ein Leerzeichen getrennt werden.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET',		'Straße und Hausnummer müssen durch ein Leerzeichen getrennt werden.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER',	'Straße und Hausnummer müssen durch ein Leerzeichen getrennt werden.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER',	'Straße und Hausnummer müssen durch ein Leerzeichen getrennt werden.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE',		'Die Postleitzahl der Rechnungsadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE',	'Die Postleitzahl der Versandadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY',		'Der Städtename der Rechnungsadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY',		'Der Städtename der Versandadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE',	'Das Länderkennzeichen der Rechnungsadresse darf nicht leer sein.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE',	'Das Länderkennzeichen der Versandadresse darf nicht leer sein.');

define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
		<p>Vielen Dank für Ihre Bestellung</p>
		<table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
		<tr bgcolor="#F1F1F1">
		<td width="50%">
		<strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
		</td>
		<td>
		<strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
		</td>
		</tr>
		<tr>
		<td>
		{{DELIVERY_ADRESS}}
		</td>
		<td>
		{{BILLING_ADRESS}}
		</td>
		</tr>
		</table>
		<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
		</p>
		<p>
		Kommentar: <strong>{{CUSTOMER_COMMENT}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_INVOICE_URL}}
		<strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
		</p>
		<table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
		<td class="c3" align="left">
		<div style="text-align: left">
		<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
		</div>
		</td>
		</tr>
		<tr>
		<td>
		{{Item_List}}
		</td>
		</tr>
		</table>
		<div style="text-align: right">
		{{List_Total}}
		</div><br /><br />
		<p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
		{{Payment_Modul_Text_Footer}}
		</td></tr></table>');


define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');