<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/de/ideal/logo_90x30.png" alt="Logo iDEAL"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '(Empfohlene Zahlungsweise)');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - sofort.de Modul aktivieren');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', 'Empfohlene Zahlungsweise');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'Konfigurationsschlüssel/API-Key testen');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Bitte Javascript aktivieren!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Zahlungszone');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Geben Sie <b>einzeln</b> die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'Temporärer Bestellstatus');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Bestätigter Bestellstatus');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Automatische Stornierung mit Rückbuchung');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Teilerstattung');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Vollständige Erstattung');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'Bestellstatus bei abgebrochener Zahlung');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'Bestellstatus bei kompletter Stornierung');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'Anzeigereihenfolge');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Von SOFORT AG zugewiesener Konfigurationsschlüssel');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'Projekt-Passwort');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'Benachrichtigungs-Passwort');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Verwendungszweck 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Verwendungszweck 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'Logo+Text');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Aktiviert/deaktiviert das komplette Modul');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'iDEAL zur empfohlenen Zahlungsmethode machen');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'Bestellstatus für nicht abgeschlossene Transaktionen. Die Bestellung wurde erstellt aber die Transaktion von der SOFORT AG noch nicht bestätigt.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'Bestätigter Bestellstatus<br />Bestellstatus nach abgeschlossener Transaktion.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'Bestellstatus bei kompletter Stornierung.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'Bestellstatus bei Bestellungen, die während des Bezahlvorgangs abgebrochen wurden.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'Status für Bestellungen, bei denen der Geldeingang nach Ablauf des im SOFORT-Projekt festgelegten Timeouts festgestellt wurde und die aus diesem Grund automatisch storniert wurden. Die Rückbuchung auf das Käuferkonto wird ebenfalls automatisch angewiesen.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'Status für Bestellungen, bei denen ein Teilbetrag an den Käufer zurückerstattet wurde.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'Status für Bestellungen, bei denen der vollständige Betrag an den Käufer zurückerstattet wurde.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Reihenfolge der Anzeige. Kleinste Ziffer wird zuerst angezeigt.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Von SOFORT AG zugewiesener Konfigurationsschlüssel');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Von SOFORT AG zugewiesenes Projekt-Passwort');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Von SOFORT AG zugewiesenes Benachrichtigungs-Passwort');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Verwendungszweck 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Verwendungszweck 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Banner oder Text bei der Auswahl der Zahlungsoptionen');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - Online-Überweisungen für den elektronischen Handel in den Niederlanden. Für die Bezahlung mit iDEAL benötigen Sie ein Konto bei einer der genannten Banken. Sie nehmen die Überweisung direkt bei Ihrer Bank vor. Dienstleistungen/Waren werden bei Verfügbarkeit SOFORT geliefert bzw. versendet!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - Online-Überweisungen für den elektronischen Handel in den Niederlanden. Für die Bezahlung mit iDEAL benötigen Sie ein Konto bei einer der genannten Banken. Sie nehmen die Überweisung direkt bei Ihrer Bank vor. Dienstleistungen/Waren werden bei Verfügbarkeit SOFORT geliefert bzw. versendet!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'iDEAL als Zahlungsart gewählt. Transaktion nicht abgeschlossen.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'Bestellung erfolgreich übermittelt. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Geld ist eingegangen. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'Die Bezahlung wurde storniert.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'Transaktion wurde automatisch storniert. Rückbuchung auf Käuferkonto wurde angewiesen.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'Ein Teil des Betrages wird erstattet.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'Rechnungsbetrag wird zurückerstattet. {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'Die Bestellung wurde abgebrochen.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - Online-Überweisungen für den elektronischen Handel in den Niederlanden. Für die Bezahlung mit iDEAL benötigen Sie ein Konto bei einer der genannten Banken. Sie nehmen die Überweisung direkt bei Ihrer Bank vor. Dienstleistungen/Waren werden bei Verfügbarkeit SOFORT geliefert bzw. versendet!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'Folgender Fehler wurde während des Prozesses gemeldet:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Bitte wählen Sie vor dem Absenden eine Bank aus!');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Fehler bei der Datenübertragung, wählen Sie eine andere Zahlart oder kontaktieren Sie den Shopbetreiber.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Fehler bei der Bestellung aufgetreten.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'iDEAL als Zahlungsart gewählt. Transaktion nicht abgeschlossen.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Sobald der Kunde diese Zahlungsart und seine Bank ausgewählt hat, wird er durch die SOFORT AG auf seine Bank weitergeleitet. Dort tätigt er seine Zahlung und wird danach wieder auf das Shopsystem zurückgeleitet. Bei erfolgreicher Zahlungsbestätigung findet durch die SOFORT AG ein sog. Callback auf das Shopsystem statt, der den Zahlungsstatus der Bestellung entsprechend ändert.<br />Bereitgestellt durch die SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Bitte wählen Sie Ihre Bank aus');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Bankauswahl:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>Nach Bestätigung der Bestellung werden Sie zum Zahlungssytem Ihrer gewählten Bank weitergeleitet und können dort die Online-Überweisung duchführen.</p><p>Hierfür benötigen Sie Ihre eBanking Zugangsdaten, d.h. Bankverbindung, Kontonummer, PIN und TAN. Mehr Informationen finden Sie hier: <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');