<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sr.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_SR_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			srOverlay = new sofortOverlay(jQuery(".srOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/sr/privacy_de");
		});
		document.write("<a id=\'srNotice\' href=\'javascript:void(0)\' onclick=\'srOverlay.trigger();\'>Ich habe die Datenschutzhinweise gelesen.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="srOverlay">
		<div class="loader" style="z-index: 1002;position: relative;background-color: #fff;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;"></div>
			<div class="content"></div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/sr/privacy_de" target="_blank">
			Ich habe die Datenschutzhinweise gelesen.
		</a>
	</noscript>
');

define('SOFORT_SR_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>14 Tage Zahlungsziel</p></td></tr></table>');

define('SOFORT_SR_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="srExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		srOverlay = new sofortOverlay(jQuery("#srExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/rbs/shopinfo/de");
	</script>
');

define('SOFORT_SR_TEXT_TITLE', 'Rechnung by SOFORT <br /><img src="https://images.sofort.com/de/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_PUBLIC_TITLE', 'Kauf auf Rechnung');

define('SOFORT_SR_LOGO_HTML', '<img src="https://images.sofort.com/de/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_ERROR_MESSAGE', 'Die gewählte Zahlart ist leider nicht möglich oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlweise.');
define('SOFORT_MULTIPAY_XML_FAULT_SR', 'Die gewählte Zahlart ist leider nicht möglich oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlweise.');

define('SOFORT_MULTIPAY_SR_CHECKOUT_TEXT', '');
define('SOFORT_MULTIPAY_CONFIRM_SR', 'Rechnung hier bestätigen:');
define('SOFORT_SR_SORT_ORDER_TITLE', 'Anzeigereihenfolge');
define('SOFORT_SR_SORT_ORDER_DESC', 'Reihenfolge der Anzeige. Kleinste Ziffer wird zuerst angezeigt.');
define('SOFORT_SR_STATUS_TITLE', 'sofort.de Modul aktivieren');
define('SOFORT_SR_STATUS_DESC', 'Aktiviert/deaktiviert das komplette Modul');
define('SOFORT_SR_TEXT_DESCRIPTION', 'Kauf auf Rechnung mit Zahlungsgarantie.');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_TITLE', 'Erlaubte Zonen');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_DESC', 'Geben Sie <b>einzeln</b> die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
define('SOFORT_SR_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SR_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SR_PEN_CON_INV_STATUS_ID_TITLE', 'Unbestätigter Bestellstatus');
define('SOFORT_SR_PEN_CON_INV_STATUS_ID_DESC', 'Bestellstatus nach erfolgreicher Zahlung. Die Rechnung wurde noch nicht durch den Händler freigegeben.'); // (pending-confirm_invoice)

define('SOFORT_SR_LOS_CAN_STATUS_ID_TITLE', 'Bestellstatus bei kompletter Stornierung');
define('SOFORT_SR_LOS_CAN_STATUS_ID_DESC', 'Stornierter Bestellstatus<br />Bestellstatus nach einer vollen Stornierung der Rechnung.');  //(loss-canceled, loss-confirmation_period_expired)

define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Bestätigter Bestellstatus');
define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Bestellstatus nach erfolgreicher und bestätigter Transaktion und Freigabe der Rechnung durch den Händler.'); //(pending-not_credited_yet)

define('SOFORT_SR_REF_REF_STATUS_ID_TITLE', 'Stornierung nach Bestätigung (Gutschrift)');
define('SOFORT_SR_REF_REF_STATUS_ID_DESC', 'Status für Bestellungen, die nach der Bestätigung vollständig storniert wurden (Gutschrift).'); // (refunded_refunded)

define('SOFORT_SR_TMP_COMMENT', 'Kauf auf Rechnung als Zahlungsart gewählt. Transaktion nicht abgeschlossen.');
define('SOFORT_SR_TMP_COMMENT_SELLER', 'Weiterleitung zu SOFORT - Bezahlung noch nicht erfolgt.');

define('SOFORT_SR_RECOMMENDED_PAYMENT_TITLE', 'Empfohlene Zahlungsweise');
define('SOFORT_SR_RECOMMENDED_PAYMENT_DESC', 'Diese Zahlart als "empfohlene Zahlungsart" markieren. Auf der Bezahlseite erfolgt ein Hinweis direkt hinter der Zahlungsart.');
define('SOFORT_SR_RECOMMENDED_PAYMENT_TEXT', '(Empfohlene Zahlungsweise)');

define('SOFORT_SR_INVOICE_CONFIRMED_HISTORY', 'Auftrag zur Bestätigung der Rechnung wurde an SOFORT gesendet. Bestätigung seitens SOFORT ausstehend.');
define('SOFORT_SR_INVOICE_CANCELED_HISTORY', 'Auftrag zur Stornierung der Rechnung wurde an SOFORT gesendet. Bestätigung seitens SOFORT ausstehend.');
define('SOFORT_SR_INVOICE_REFUNDED_HISTORY', 'Auftrag zur Gutschrift der Rechnung wurde an SOFORT gesendet. Bestätigung seitens SOFORT ausstehend.');

/////////////////////////////////////////////////
//////// Seller-Backend and callback.php ////////
/////////////////////////////////////////////////

define('SOFORT_SR_CONFIRM_INVOICE', 'Rechnung bestätigen');
define('SOFORT_SR_CANCEL_INVOICE', 'Rechnung stornieren');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE', 'Rechnung gutschreiben');
define('SOFORT_SR_CANCEL_INVOICE_QUESTION', 'Sind Sie sicher, dass Sie die Rechnung wirklich stornieren wollen? Dieser Vorgang kann nicht rückgängig gemacht werden.');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE_QUESTION', 'Sind Sie sicher, dass Sie die Rechnung wirklich gutschreiben wollen? Dieser Vorgang kann nicht rückgängig gemacht werden.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED_REFUNDED', 'Die Rechnung wurde storniert. Gutschrift erstellt.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED', 'Die Rechnung wurde storniert.');

define('SOFORT_SR_DOWNLOAD_INVOICE', 'Rechnung herunterladen');
define('SOFORT_SR_DOWNLOAD_INVOICE_HINT', 'Laden Sie hier das entsprechende Dokument (Rechnungsvorschau, Rechnung, Gutschrift) herunter.');
define('SOFORT_SR_DOWNLOAD_CREDIT_MEMO', 'Gutschrift herunterladen');
define('SOFORT_SR_DOWNLOAD_INVOICE_PREVIEW', 'Rechnungsvorschau herunterladen');

define('SOFORT_SR_EDIT_CART', 'Warenkorb anpassen');
define('SOFORT_SR_UPDATE_CART', 'Warenkorb speichern');
define('SOFORT_SR_UPDATE_CART_QUESTION', 'Wollen Sie den Warenkorb wirklich anpassen?');
define('SOFORT_SR_UPDATE_CART_HINT', 'Speichern Sie hier Ihre Änderungen am Warenkorb. Bei bereits bestätigten Rechnung führt ein mengenmäßig reduzierter sowie ein von der Rechnung gelöschter Artikel zu einer Gutschrift.');
define('SOFORT_SR_UPDATE_DISCOUNTS_HINT', 'Sie können Rabatte oder Aufschläge anpassen. Aufschläge dürfen nicht erhöht werden und Rabatte keine Beträge größer Null erhalten. Der Gesamtbetrag der Rechnung darf durch die Anpassung nicht erhöht werden.');
define('SOFORT_SR_UPDATE_DISCOUNTS_GTZERO_HINT', 'Rabatte dürfen keinen Betrag größer Null erhalten.');
define('SOFORT_SR_UPDATE_QUANTITY', 'Menge anpassen');
define('SOFORT_SR_UPDATE_QUANTITY_HINT', 'Sie können die Anzahl der Artikel pro Position anpassen. Es dürfen lediglich Mengen reduziert, nicht jedoch hinzugefügt werden.');
define('SOFORT_SR_UPDATE_QUANTITY_TOTAL_GTZERO', 'Die Anzahl des Artikels kann nicht reduziert werden, da die Gesamtsumme der Rechnung nicht negativ sein darf.');
define('SOFORT_SR_UPDATE_QUANTITY_ZERO_HINT', 'Anzahl muss größer 0 sein. Zum Löschen markieren Sie den Artikel bitte am Ende der Zeile.');
define('SOFORT_SR_UPDATE_PRICE', 'Preis anpassen');
define('SOFORT_SR_UPDATE_PRICE_HINT', 'Sie können den Preis der einzelnen Artikel pro Position anpassen. Preise können lediglich reduziert, nicht erhöht werden.');
define('SOFORT_SR_UPDATE_PRICE_TOTAL_GTZERO', 'Der Preis kann nicht reduziert werden, da die Gesamtsumme der Rechnung nicht negativ sein darf.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_HINT', 'Es können nicht gleichzeitig Preis und Menge angepasst werden.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_NAN', 'Sie haben ungültige Zeichen eingegeben. Bei diesen Anpassungen sind nur Zahlen zulässig.');
define('SOFORT_SR_UPDATE_VALUE_LTZERO_HINT', 'Wert darf nicht kleiner 0 sein.');

define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE', 'Bitte Kommentar eingeben');
define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE_HINT', 'Bei Anpassung einer bereits bestätigten Rechnung muss eine entsprechende Begründung hinterlegt werden. Diese erscheint später auf der Gutschrift als Kommentar zum entsprechenden Artikel.');
define('SOFORT_SR_UPDATE_SHIPPING_HINT', 'Sie können den Preis der Versandkosten anpassen. Der Preis kann lediglich reduziert, nicht erhöht werden.');
define('SOFORT_SR_UPDATE_SHIPPING_TOTAL_GTZERO', 'Die Versandkosten können nicht reduziert werden, da die Gesamtsumme der Rechnung nicht negativ sein darf.');

define('SOFORT_SR_RECALCULATION', 'wird neu berechnet');

define('SOFORT_SR_REMOVE_FROM_INVOICE_TOTAL_GTZERO','Dieser Artikel kann nicht gelöscht werden, da die Gesamtsumme der Rechnung nicht negativ sein darf.');
define('SOFORT_SR_REMOVE_ARTICLE_FROM_INVOICE', 'Artikel entfernen');
define('SOFORT_SR_REMOVE_FROM_INVOICE', 'Position löschen');
define('SOFORT_SR_REMOVE_FROM_INVOICE_QUESTION', 'Sie möchten folgende Artikel wirklich löschen: %s ?');
define('SOFORT_SR_REMOVE_FROM_INVOICE_HINT', 'Markieren Sie Artikel um sie zu löschen. Bei einer bereits bestätigten Rechnung führt das Löschen eines Artikels zu einer Gutschrift.');
define('SOFORT_SR_REMOVE_LAST_ARTICLE_HINT', 'Durch das Reduzieren der Anzahl aller bzw. durch Entfernen des letzten Artikels wird die Rechnung komplett storniert.');

define('SOFORT_SR_PEN_CON_INV_BUYER', 'Bestellung erfolgreich übermittelt. Bestätigung noch nicht erfolgt.');
define('SOFORT_SR_PEN_CON_INV_SELLER', 'Bestellung erfolgreich abgeschlossen - Rechnung kann bestätigt werden - Ihre Transactions-ID:');
define('SOFORT_SR_LOS_CAN_BUYER', 'Bestellung storniert.');
define('SOFORT_SR_LOS_CAN_SELLER', '');
define('SOFORT_SR_PEN_NOT_CRE_YET_BUYER', 'Bestellung bestätigt und in Bearbeitung.');
define('SOFORT_SR_PEN_NOT_CRE_YET_SELLER', 'Die Rechnung wurde bestätigt und erstellt.');
define('SOFORT_SR_REF_REF_BUYER', 'Die Rechnung wurde gutgeschrieben.');
define('SOFORT_SR_REF_REF_SELLER', 'Die Rechnung wurde gutgeschrieben. Gutschrift wurde erstellt.');
define('SOFORT_SR_TRANSLATE_INVOICE_REANIMATED', 'Die Stornierung der Rechnung wurde rückgängig gemacht.');
define('SOFORT_SR_LOS_CON_PER_EXP_BUYER', 'Bestellung storniert.');
define('SOFORT_SR_LOS_CON_PER_EXP_SELLER', 'Die Bestellung wurde storniert. Bestätigungszeitraum abgelaufen.');

define('SOFORT_SR_TRANSLATE_CURRENT_TOTAL', 'Aktueller Rechnungsbetrag:');

define('SOFORT_SR_INVOICE_CONFIRMED', 'Rechnung wurde bestätigt');
define('SOFORT_SR_TRANSLATE_TRANSACTION_ID', 'Transaktions-ID');
define('SOFORT_SR_TRANSLATE_CANCELED_REFUNDED', 'Die Rechnung wurde storniert. Gutschrift erstellt. {{time}}');
define('SOFORT_SR_TRANSLATE_CART_EDITED', 'Der Warenkorb wurde angepasst.');
define('SOFORT_SR_TRANSLATE_CART_RESET', 'Der Warenkorb wurde zurückgesetzt.');

define('SOFORT_MULTIPAY_XML_FAULT_9000', 'Keine Rechnungs-Transaktion gefunden.');
define('SOFORT_MULTIPAY_XML_FAULT_9001', 'Die Rechnung konnte nicht bestätigt werden.');
define('SOFORT_MULTIPAY_XML_FAULT_9002', 'Die Übergebene Rechnungssumme übersteigt das Kreditlimit.');
define('SOFORT_MULTIPAY_XML_FAULT_9003', 'Die Rechnung konnte nicht storniert werden.');
define('SOFORT_MULTIPAY_XML_FAULT_9004', 'Die Anfrage enthielt ungültige Warenkorbpositionen.');
define('SOFORT_MULTIPAY_XML_FAULT_9005', 'Der Warenkorb konnte nicht angepasst werden.');
define('SOFORT_MULTIPAY_XML_FAULT_9006', 'Der Zugriff zur Schnittstelle ist 30 Tage nach Zahlungseingang nicht mehr möglich.');
define('SOFORT_MULTIPAY_XML_FAULT_9007', 'Die Rechnung wurde bereits storniert.');
define('SOFORT_MULTIPAY_XML_FAULT_9008', 'Der Betrag der übergebenen Mehrwertsteuer ist zu hoch.');
define('SOFORT_MULTIPAY_XML_FAULT_9009', 'Die Beträge der übergeben Mehrwertsteuersätze der Artikel stehen in Konflikt zueinander.');
define('SOFORT_MULTIPAY_XML_FAULT_9010', 'Die Anpassung des Warenkorbs ist nicht möglich.');
define('SOFORT_MULTIPAY_XML_FAULT_9011', 'Es wurde kein Kommentar für die Anpassung des Warenkorbs übergeben.');
define('SOFORT_MULTIPAY_XML_FAULT_9012', 'Es können keine Positionen zum Warenkorb hinzugefügt werden. Ebenso kann die Menge pro Rechnungsposition nicht heraufgesetzt werden. Beträge einzelner Positionen dürfen den Ursprungsbetrag nicht überschreiten.');
define('SOFORT_MULTIPAY_XML_FAULT_9013', 'Es befinden sich ausschließlich nichtfakturierbare Artikel im Warenkorb.');
define('SOFORT_MULTIPAY_XML_FAULT_9014', 'Die übergebene Rechnungsnummer wird bereits verwendet.');
define('SOFORT_MULTIPAY_XML_FAULT_9015', 'Die übergebene Nummer der Gutschrift wird bereits verwendet.');
define('SOFORT_MULTIPAY_XML_FAULT_9016', 'Die übergebene Bestellnummer wird bereits verwendet.');
define('SOFORT_MULTIPAY_XML_FAULT_9017', 'Die Rechnung wurde bereits bestätigt.');
define('SOFORT_MULTIPAY_XML_FAULT_9018', 'Es wurden keine Daten der Rechnung angepasst.');