<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Chiave di configurazione');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Chiave di configurazione assegnata da SOFORT AG');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Test della chiave di configurazione/API key');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Ti preghiamo di attivare Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Zona di pagamento');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Se è stata selezionata una zona, il metodo di pagamento è valido solo per questa zona.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Causale 1');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'Nella causale 1 possono essere selezionate le seguenti opzioni');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Causale 2');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'Nella causale (massimo 27 caratteri) saranno sostituite le seguenti variabili:<br /> {{order_id}}<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Il seguente errore è stato riscontrato durante l\'operazione:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'La modalità di pagamento selezionata non è disponibile o è stata annullata dall\'acquirente. Ti preghiamo di selezionare un\'altra modalità di pagamento.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Banner o testo nella selezione delle opzioni di pagamento');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Banner o testo nella selezione delle opzioni di pagamento');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Impostazioni professionali</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Le seguenti impostazioni non richiedono di norma un\'aggiornamento e dovrebbero essere già configurate con i valori corretti.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Attivare registrazione');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Attivare il logging per registrare errori, avvisi, così come richieste ai server e risposte dei server di SOFORT. Per motivi di privacy il logging deve essere attivato solo per la risoluzione di problemi. Per ulteriori informazioni, consultare il manuale.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Stato dell\'ordine temporaneo');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Stato dell\'ordine per transazioni non concluse<br />L\'ordine è stato eseguito, ma la transazione non è stata ancora confermata da SOFORT AG.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Stato dell\'ordine per pagamento annullato.'); //Bestellstatus bei abgebrochener/erfolgloser Zahlung
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Stato di ordini che sono stati annullati durante la procedura di pagamento.'); //Bestellstatus bei Bestellungen, die whrend des Bestellvorgangs oder im Wizard abgebrochen wurden.

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'L\'ordine è stato annullato.'); //Die Bestellung wurde abgebrochen.

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'ID della transazione');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Il modulo è stato aggiornato. Per un corretto funzionamento, ti preghiamo di disinstallare tutte (!) le modalità di pagamento di SOFORT e di reinstallarli (se necessario). Fino ad allora,le modalità di pagamento non saranno disponibili per l\'acquirente. Si prega di prendere nota delle impostazioni del modulo prima della disinstallazione!');

define('SOFORT_MULTIPAY_FORWARDING', 'Stiamo elaborando la tua richiesta. Ti preghiamo di attendere e non interrompere l\'operazione. Questo procedimento può durare fino a 30 secondi.');
define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Numero di versione');

define('SOFORT_KEYTEST_SUCCESS', 'Chiave API confermata con successo!');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK il');
define('SOFORT_KEYTEST_ERROR', 'Chiave API non confermata!');
define('SOFORT_KEYTEST_ERROR_DESC', 'Attenzione: API Key errata');
define('SOFORT_KEYTEST_DEFAULT', 'Chiave API non ancora confermata');

define('SOFORT_REFRESH_INFO', 'Se hai appena confermato, modificato, annullato o accreditato l\'ordine, potrebbe essere necessario aggiornare questa pagina {{refresh}} per poter visualizzare tutte le modifiche.');
define('SOFORT_REFRESH_PAGE', 'Clicca qui per aggiornare la pagina');
define('SOFORT_TRANSLATE_TIME', 'Ora');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0',		'Si è verificato un errore sconosciuto.');
define('SOFORT_MULTIPAY_XML_FAULT_8002',		'Si è verificato un errore durante la validazione.');
define('SOFORT_MULTIPAY_XML_FAULT_8010',		'I dati inseriti sono incompleti o errati. Ti preghiamo di correggerli o contattare il gestore.');
define('SOFORT_MULTIPAY_XML_FAULT_8011',		'Non compreso nell\'intervallo di valori validi.');
define('SOFORT_MULTIPAY_XML_FAULT_8012',		'Il valore deve essere positivo.');
define('SOFORT_MULTIPAY_XML_FAULT_8013',		'Al momento vengono supportati solo ordini in Euro. Ti preghiamo di correggere il valore e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8015',		'L\'importo complessivo è troppo alto o troppo basso. Ti preghiamo di correggere l\'informazione o contattare il fornitore.');
define('SOFORT_MULTIPAY_XML_FAULT_8017',		'Caratteri sconosciuti');
define('SOFORT_MULTIPAY_XML_FAULT_8018',		'Numero massimo di caratteri superati (max. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019',		'L\'ordine non può essere effettuato a causa dell\'indirizzo e-mail non valido. Ti preghiamo di correggerlo e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8020',		'L\'ordine non può essere eseguito a causa di un numero di telefono errato. Ti preghiamo di correggere i dati e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8021',		'Il codice del paese non è supportato. Ti preghiamo di rivolgerti al tuo gestore.');
define('SOFORT_MULTIPAY_XML_FAULT_8022',		'Il BIC indicato non è valido.');
define('SOFORT_MULTIPAY_XML_FAULT_8023',		'L\'ordine non può essere eseguito a causa di un BIC (Bank Identifier Code) errato. Ti preghiamo di correggere i dati e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8024',		'L\'ordine non può essere eseguito a causa di un codice paese errato. L\'indirizzo di spedizione/fatturazione deve essere in Germania. Ti preghiamo di correggere i dati e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8029',		'Sono compatibili solo conti tedeschi. Ti preghiamo di correggere l\'informazione o selezionare un\'altra modalità di pagamento.');
define('SOFORT_MULTIPAY_XML_FAULT_8033',		'L\'importo totale è troppo alto. Ti preghiamo di correggerlo e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8034',		'L\'importo totale è troppo basso. Ti preghiamo di correggerlo e riprovare di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8041',		'Valore per l\'IVA errato. Valori validi: 0, 7, 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046',		'La validazione del conto bancario e del codice ABI è fallita.');
define('SOFORT_MULTIPAY_XML_FAULT_8047',		'È stato superato il numero massimo di 255 caratteri.');
define('SOFORT_MULTIPAY_XML_FAULT_8051',		'La richiesta contiene articoli non validi. Si prega di effettuare le dovute correzioni o di contattare il proprietario del negozio.');
define('SOFORT_MULTIPAY_XML_FAULT_8058',		'Inserire almeno l\'intestatario del conto e riprovate di nuovo.');
define('SOFORT_MULTIPAY_XML_FAULT_8061',		'Esiste già una transazione con i dati trasmessi.');
define('SOFORT_MULTIPAY_XML_FAULT_8068',		'Kauf auf Rechnung è attualmente disponibile solo per clienti privati.');
define('SOFORT_MULTIPAY_XML_FAULT_10001',		'Compilare i campi relativi al numero di conto, codice ABI e intestatario del conto.');  //LS: holder and bankdata missing
define('SOFORT_MULTIPAY_XML_FAULT_10002',		'Ti preghiamo di accettare l\'informativa sulla tutela dei dati personali.');
define('SOFORT_MULTIPAY_XML_FAULT_10003',		'Con il metodo di pagamento prescelto non possono essere pagati né download né buoni regalo.');  //RBS and virtual content is not allowed
define('SOFORT_MULTIPAY_XML_FAULT_10004',		'Si è verificato un errore sconosciuto.');  //order could not be saved in table sofort_orders
define('SOFORT_MULTIPAY_XML_FAULT_10005',		'Si è verificato un errore sconosciuto.');  //saving of order (after successful payment-process) MAYBE failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10006',		'Si è verificato un errore sconosciuto.');  //saving of order (after successful payment-process) REALLY failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10008',		'Si è verificato un errore durante la sincronizzazione con i server di SOFORT. Si prega di utilizzare le possibilità nell\'Area Utenti di SOFORT per poter elaborare la fattura o il carrello.');  //Rechnung by SOFORT: Sync of Articles failed

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER',				'Il campo relativo all\'indirizzo e-mail non deve essere vuoto');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER',				'Il campo relativo al numero di telefono non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME',	'Il campo relativo al nome e all\'indirizzo di fatturazione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME',	'Il campo relativo al nome dell\'indirizzo di spedizione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME',	'Il campo relativo al cognome dell\'indirizzo di fatturazione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME',	'Il campo relativo al nome dell\'indirizzo di spedizione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET',		'Via e numero civico devono essere separati da uno spazio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET',		'Via e numero civico devono essere separati da uno spazio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER',	'Via e numero civico devono essere separati da uno spazio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER',	'Via e numero civico devono essere separati da uno spazio.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE',		'Il campo relativo al codice postale dell\'indirizzo di fatturazione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE',	'Il campo relativo al codice postale dell\'indirizzo di spedizione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY',		'Il campo relativo alla città dell\'indirizzo di fatturazione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY',		'Il campo relativo alla città e l\'indirizzo di spedizione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE',	'Il campo relativo al codice paese dell\'indirizzo di fatturazione non deve essere vuoto.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE',	'Il campo relativo al codice paese dell\'indirizzo di fatturazione non deve essere vuoto.');

define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
		<p>Grazie per il tuo ordine</p>
		<table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
		<tr bgcolor="#F1F1F1">
		<td width="50%">
		<strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
		</td>
		<td>
		<strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
		</td>
		</tr>
		<tr>
		<td>
		{{DELIVERY_ADRESS}}
		</td>
		<td>
		{{BILLING_ADRESS}}
		</td>
		</tr>
		</table>
		<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
		</p>
		<p>
		Kommentar: <strong>{{CUSTOMER_COMMENT}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_INVOICE_URL}}
		<strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
		</p>
		<table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
		<td class="c3" align="left">
		<div style="text-align: left">
		<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
		</div>
		</td>
		</tr>
		<tr>
		<td>
		{{Item_List}}
		</td>
		</tr>
		</table>
		<div style="text-align: right">
		{{List_Total}}
		</div><br /><br />
		<p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
		{{Payment_Modul_Text_Footer}}
		</td></tr></table>');


define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');