<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-03-28 15:52:05 +0100 (Thu, 28 Mar 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_general.php 6058 2013-03-28 14:52:05Z rotsch $
 */

define('SOFORT_MULTIPAY_JS_LIBS', '
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery.min_1.8.3.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/jquery-ui.min_1.9.1.js"></script>
	<script type="text/javascript" src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/sofortbox.js"></script>
');

define('SOFORT_MULTIPAY_CONFIGURATION_KEY_TITLE', 'Klucz konfiguracyjny');
define('SOFORT_MULTIPAY_CONFIGURATION_KEY_DESC', 'Klucz konfiguracyjny nadany przez SOFORT AG');
define('SOFORT_MULTIPAY_AUTH_TITLE', 'Przetestuj klucz konfiguracji/API-Key');
define('SOFORT_MULTIPAY_AUTH_DESC', '<noscript>Prosimy aktywować Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');
define('SOFORT_MULTIPAY_ZONE_TITLE', 'Strefa płatności');
define('SOFORT_MULTIPAY_ZONE_DESC', 'Kiedy strefa zostanie wybrana, metoda płatnicza dotyczy tej strefy.');
define('SOFORT_MULTIPAY_REASON_1_TITLE', 'Tytuł przelewu 1');
define('SOFORT_MULTIPAY_REASON_1_DESC', 'W 1 tytule przelewu można wybrać następujące opcje.');
define('SOFORT_MULTIPAY_REASON_2_TITLE', 'Tytuł przelewu 2');
define('SOFORT_MULTIPAY_REASON_2_DESC', 'W tytule przelewu (maksymalnie 27 znaków) zostaną zamienione następujące symbole :<br /> {{order_id}}<br />{{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('SOFORT_MULTIPAY_TEXT_ERROR_HEADING', 'Następujący błąd wystąpił podczas procesu:');
define('SOFORT_MULTIPAY_TEXT_ERROR_MESSAGE', 'Wybrana metoda płatnicza nie jest niestety możliwa lub została przerwana na życzenie klienta. Prosimy o wybranie innej metody płatniczej.');
define('SOFORT_MULTIPAY_IMAGE_TITLE', 'Baner lub tekst przy wyborze opcji płatniczej');
define('SOFORT_MULTIPAY_IMAGE_DESC', 'Baner lub tekst przy wyborze opcji płatniczej');
define('SOFORT_MULTIPAY_PROF_SETTINGS_TITLE', '<span style="font-weight:bold; text-decoration:underline; font-size:1.4em;"><br />Ustawienia profesjonalne</span> ');
define('SOFORT_MULTIPAY_PROF_SETTINGS_DESC', 'Następujące ustawienia z reguły nie wymagają dopasowania i powinny zawierać już prawidłowe wartości.');
define('SOFORT_MULTIPAY_LOG_ENABLED_TITLE', 'Uaktywnij logging');
define('SOFORT_MULTIPAY_LOG_ENABLED_DESC', 'Proszę uaktywnić logging, aby błędy, ostrzeżenia, jak również zapytania i odpowiedzi mogły być zapisywane na serwerach SOFORT. Z przyczyn związanych z ochroną danych logging powinien być włączony jedynie  w celu wyszukiwania błędów. Dalsze informacje znajdziesz w instrukcji obsługi.');

define('SOFORT_MULTIPAY_TEMP_STATUS_ID_TITLE', 'Tymczasowy status zamówienia');
define('SOFORT_MULTIPAY_TEMP_STATUS_ID_DESC', 'Status zamówienia dla niezakończonych transakcji. Zamówienie zostało złożone ale transakcja nie została jeszcze potwierdzona przez SOFORT AG.');
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_TITLE', 'Status zamówienia w przypadku przerwanej płatności.'); //Bestellstatus bei abgebrochener/erfolgloser Zahlung
define('SOFORT_MULTIPAY_ABORTED_STATUS_ID_DESC', 'Status zamówienia w przypadku zamówień, które zostały przerwane podczas procesu płatności.'); //Bestellstatus bei Bestellungen, die whrend des Bestellvorgangs oder im Wizard abgebrochen wurden.

define('SOFORT_MULTIPAY_ORDER_CANCELED', 'Die Bestellung wurde abgebrochen.'); //Die Bestellung wurde abgebrochen.

define('SOFORT_MULTIPAY_TRANSACTION_ID', 'ID transakcji');
define('SOFORT_MULTIPAY_UPDATE_NOTICE', 'Moduł został zaktualizowany. W celu prawidłowego funkcjonowania, wszystkie(!) istniejące metody płatnicze SOFORT muszą zostać odinstalowane i (w razie potrzeby) zainstalowane na nowo. Do tego czasu metody płatnicze nie będą proponowane klientowi. Przed odinstalowaniem koniecznie zanotuj ustawienia modułu!');

define('SOFORT_MULTIPAY_FORWARDING', 'Twoje zapytanie jest opracowywane, prosimy o chwilę cierpliwości i prosimy nie przerywać procesu. Proces ten może potrwać około 30 sekund.');
define('SOFORT_MULTIPAY_VERSIONNUMBER', 'Versionsnummer');

define('SOFORT_KEYTEST_SUCCESS', 'Weryfikacja klucza API zakończona sukcesem!');
define('SOFORT_KEYTEST_SUCCESS_DESC', 'Test OK dnia');
define('SOFORT_KEYTEST_ERROR', 'Klucz API nie mógł zostać zweryfikowany!');
define('SOFORT_KEYTEST_ERROR_DESC', 'Uwaga: nieprawidłowy klucz API');
define('SOFORT_KEYTEST_DEFAULT', 'Klucz API nie został jeszcze przetestowany');

define('SOFORT_REFRESH_INFO', 'Jeśli właśnie potwierdziłeś, zmieniłeś, anulowałeś lub zapisałeś na dobro rachunku to zamówienie, może być konieczne {{relLink}} strony, aby wszystkie zmiany były widoczne.');
define('SOFORT_REFRESH_PAGE', 'Kliknij tutaj, aby na nowo wczytać stronę');
define('SOFORT_TRANSLATE_TIME', 'Czas');

//definition of error-codes that can resolve by calling the SOFORT-API
define('SOFORT_MULTIPAY_XML_FAULT_0',		'Wystąpił nieznany błąd.');
define('SOFORT_MULTIPAY_XML_FAULT_8002',		'Wystąpił błąd podczas walidacji.');
define('SOFORT_MULTIPAY_XML_FAULT_8010',		'Dane są niepełne lub błędne. Prosimy o poprawienie ich lub o kontakt ze sprzedawcą.');
define('SOFORT_MULTIPAY_XML_FAULT_8011',		'Poza obszarem dostępnych wartości.');
define('SOFORT_MULTIPAY_XML_FAULT_8012',		'Wartość musi być dodatnia.');
define('SOFORT_MULTIPAY_XML_FAULT_8013',		'Obecnie obsługujemy jedynie zamówienia w euro. Prosimy o poprawienie tego i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8015',		'Całkowita kwota jest zbyt wysoka lub niska. Prosimy o jej poprawienie lub o kontakt ze sprzedawcą.');
define('SOFORT_MULTIPAY_XML_FAULT_8017',		'Nieznane znaki.');
define('SOFORT_MULTIPAY_XML_FAULT_8018',		'Maksymalna liczba znaków przekroczona (maks. 27).');
define('SOFORT_MULTIPAY_XML_FAULT_8019',		'Zamówienie nie może zostać przeprowadzone z powodu nieprawidłowego adresu e-mail.Prosimy o jego poprawienie i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8020',		'Zamówienie nie może zostać przeprowadzone z powodu nieprawidłowego numeru telefonu. Prosimy o jego poprawienie i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8021',		'Kod tego kraju nie jest wspierany, skontaktuj się z Twoim sprzedawcą.');
define('SOFORT_MULTIPAY_XML_FAULT_8022',		'Podany BIC jest nieprawidłowy.');
define('SOFORT_MULTIPAY_XML_FAULT_8023',		'Zamówienie nie może zostać przeprowadzone z powodu nieprawidłowego kodu BIC (Bank Identifier Code). Prosimy o jego poprawienie i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8024',		'Zamówienie nie może zostać przeprowadzone z powodu nieprawidłowego kodu kraju. Adres wysyłki/ rachunku musi znajdować się w Niemczech. Prosimy o jego poprawienie i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8029',		'Obsługujemy jedynie konta niemieckie. Prosimy o poprawienie błędu lub wybranie innej metody płatności.');
define('SOFORT_MULTIPAY_XML_FAULT_8033',		'Całkowita kwota jest zbyt wysoka. Prosimy o poprawienie jej i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8034',		'Całkowita kwota jest zbyt niska. Prosimy o poprawienie jej i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8041',		'Wartość dla podatku VAT nieprawidłowa. Wartości prawidłowe: 0, 7 lub 19.');
define('SOFORT_MULTIPAY_XML_FAULT_8046',		'Die Validierung des Bankkontos und der Bankleitzahl ist fehlgeschlagen.');
define('SOFORT_MULTIPAY_XML_FAULT_8047',		'Maksymalna liczba 255 znaków została przekroczona.');
define('SOFORT_MULTIPAY_XML_FAULT_8051',		'Zapytanie zawiera niewłaściwe pozycje koszyka. Prosimy o poprawienie ich lub o kontakt ze sprzedawcą.');
define('SOFORT_MULTIPAY_XML_FAULT_8058',		'Prosimy o podanie przynajmniej właściciela konta i o ponowienie próby.');
define('SOFORT_MULTIPAY_XML_FAULT_8061',		'Transakcja z podanymi przez Ciebie danymi już istnieje.');
define('SOFORT_MULTIPAY_XML_FAULT_8068',		'Zakup na rachunek jest obecnie dostępny tylko dla klientów indywidulanych.');
define('SOFORT_MULTIPAY_XML_FAULT_10001',		'Prosimy o kompletne wypełnienie pól numer konta, numer rozliczeniowy banku i właściciel konta.');  //LS: holder and bankdata missing
define('SOFORT_MULTIPAY_XML_FAULT_10002',		'Prosimy o zaakceptowanie polityki prywatności.');
define('SOFORT_MULTIPAY_XML_FAULT_10003',		'Wybrana metoda płatnicza nie pozwala niestety na zakup takich artykułów jak pobieranie plików (downloads) lub bony prezentowe.');  //RBS and virtual content is not allowed
define('SOFORT_MULTIPAY_XML_FAULT_10004',		'Wystąpił nieznany błąd.');  //order could not be saved in table sofort_orders
define('SOFORT_MULTIPAY_XML_FAULT_10005',		'Wystąpił nieznany błąd.');  //saving of order (after successful payment-process) MAYBE failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10006',		'Wystąpił nieznany błąd.');  //saving of order (after successful payment-process) REALLY failed, seller informed
define('SOFORT_MULTIPAY_XML_FAULT_10008',		'Wystąpił błąd podczas synchronizacji z serwerami SOFORT. W celu wprowadzenia zmian w rachunku lub w koszyku wykorzystaj możliwości, które daje Ci panel sprzedawcy w SOFORT.');  //Rechnung by SOFORT: Sync of Articles failed

//check for empty fields failed (code 8010 = 'must not be empty')
define('SOFORT_MULTIPAY_XML_FAULT_8010.EMAIL_CUSTOMER',				'Adres E-Mail nie może być pusty.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.PHONE_CUSTOMER',				'Numer telefonu nie może pozostać pusty.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.FIRSTNAME',	'Imię przy adresie wysyłki nie może być puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.FIRSTNAME',	'Miejsce na imię w adresie wysyłki nie może zostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.LASTNAME',	'Nazwisko przy adresie faktury nie może być puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.LASTNAME',	'Miejsce na nazwisko w adresie wysyłki nie może zostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET',		'Ulica i numer mieszkania muszą być oddzielone.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET',		'Nazwa ulicy i numer domu muszą być oddzielone spacją.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.STREET_NUMBER',	'Nazwa ulicy i numer domu muszą być oddzielone spacją.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.STREET_NUMBER',	'Nazwa ulicy i numer domu muszą być oddzielone spacją.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.ZIPCODE',		'Miejsce na kod pocztowy w adresie nie może pozostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.ZIPCODE',	'Miejsce na kod pocztowy adresu wysyłki nie może pozostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.CITY',		'Miejsce na nazwę miejscowości w adresie na rachunku nie może zostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.CITY',		'MIejsce na nazwę miejscowości w adresie wysyłki nie może pozostać puste.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.INVOICE_ADDRESS.COUNTRY_CODE',	'Kod kraju adresu faktury nie może być pusty.');
define('SOFORT_MULTIPAY_XML_FAULT_8010.SHIPPING_ADDRESS.COUNTRY_CODE',	'Kod kraju adresu wysyłki towaru nie może być pusty.');

define('SOFORT_MULTIPAY_EMAIL_HTML_TEXT', '  <table style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%"><tr><td>
		<p>Dziękujemy za złożone zamówienie</p>
		<table style="border-top:1px solid; border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0">
		<tr bgcolor="#F1F1F1">
		<td width="50%">
		<strong>{{EMAIL_TEXT_DELIVERY_ADDRESS}}:</strong>
		</td>
		<td>
		<strong>{{EMAIL_TEXT_BILLING_ADDRESS}}:</strong>
		</td>
		</tr>
		<tr>
		<td>
		{{DELIVERY_ADRESS}}
		</td>
		<td>
		{{BILLING_ADRESS}}
		</td>
		</tr>
		</table>
		<p>
		{{EMAIL_TEXT_ORDER_NUMBER}} <strong>{{ORDER_ID}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_DATE_ORDERED}} <strong>{{DATE_ORDERED}}</strong>
		</p>
		<p>
		Kommentar: <strong>{{CUSTOMER_COMMENT}}</strong>
		</p>
		<p>
		{{EMAIL_TEXT_INVOICE_URL}}
		<strong><a href="{{INVOICE_URL}}">{{INVOICE_URL}}</a></strong>
		</p>
		<table style="border-bottom:1px solid; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:small" width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr bgcolor="#F1F1F1">
		<td class="c3" align="left">
		<div style="text-align: left">
		<strong>{{EMAIL_TEXT_PRODUCTS}}:</strong>
		</div>
		</td>
		</tr>
		<tr>
		<td>
		{{Item_List}}
		</td>
		</tr>
		</table>
		<div style="text-align: right">
		{{List_Total}}
		</div><br /><br />
		<p>{{EMAIL_TEXT_PAYMENT_METHOD}}: {{Payment_Modul_Text}}</p>
		{{Payment_Modul_Text_Footer}}
		</td></tr></table>');


define('SOFORT_MULTIPAY_EMAIL_TEXT', '{{STORE_NAME}}
{{EMAIL_SEPARATOR}}
{{EMAIL_TEXT_ORDER_NUMBER}} {{ORDER_ID}}
{{EMAIL_TEXT_INVOICE_URL}} {{INVOICE_URL}}
{{EMAIL_TEXT_DATE_ORDERED}} {{DATE_ORDERED}}

{{EMAIL_TEXT_PRODUCTS}}:
{{EMAIL_SEPARATOR}}
{{Item_List}}
{{EMAIL_SEPARATOR}}
{{List_Total}}

{{EMAIL_TEXT_BILLING_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{BILLING_ADRESS}}

{{EMAIL_TEXT_DELIVERY_ADDRESS}}:
{{EMAIL_SEPARATOR}}
{{DELIVERY_ADRESS}}

Comment:
{{EMAIL_SEPARATOR}}
{{CUSTOMER_COMMENT}}

{{EMAIL_TEXT_PAYMENT_METHOD}}
{{EMAIL_SEPARATOR}}
{{Payment_Modul_Text}}

{{Payment_Modul_Text_Footer}}');

define('SOFORT_MULTIPAY_TEXT_EMAIL_FOOTER', '');
define('SOFORT_MULTIPAY_TEXT_EMAIL_SUBJECT', '{{EMAIL_TEXT_SUBJECT}}: {{ORDER_ID}}');