<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sr.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_SR_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			srOverlay = new sofortOverlay(jQuery(".srOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/sr/privacy_de");
		});
		document.write("<a id=\'srNotice\' href=\'javascript:void(0)\' onclick=\'srOverlay.trigger();\'>Przeczytałem uwagi na temat ochrony danych.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="srOverlay">
		<div class="loader" style="z-index: 1002;position: relative;background-color: #fff;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;"></div>
			<div class="content"></div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/sr/privacy_de" target="_blank">
			Przeczytałem uwagi na temat ochrony danych.
		</a>
	</noscript>
');

define('SOFORT_SR_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>14 dni do dnia zapłaty</p></td></tr></table>');

define('SOFORT_SR_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="srExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		srOverlay = new sofortOverlay(jQuery("#srExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/rbs/shopinfo/pl");
	</script>
');

define('SOFORT_SR_TEXT_TITLE', 'Rechnung by SOFORT <br /><img src="https://images.sofort.com/pl/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_PUBLIC_TITLE', 'Kauf auf Rechnung');

define('SOFORT_SR_LOGO_HTML', '<img src="https://images.sofort.com/pl/sr/logo_90x30.png"  alt="Logo Rechnung by SOFORT"/>');
define('SOFORT_SR_TEXT_ERROR_MESSAGE', 'Wybrana metoda płatnicza nie jest niestety możliwa lub została przerwana na życzenie klienta. Prosimy o wybranie innej metody płatniczej.');
define('SOFORT_MULTIPAY_XML_FAULT_SR', 'Wybrana metoda płatnicza nie jest niestety możliwa lub została przerwana na życzenie klienta. Prosimy o wybranie innej metody płatniczej.');

define('SOFORT_MULTIPAY_SR_CHECKOUT_TEXT', '');
define('SOFORT_MULTIPAY_CONFIRM_SR', 'Potwierdź fakturę:');
define('SOFORT_SR_SORT_ORDER_TITLE', 'Kolejność wyświetlania');
define('SOFORT_SR_SORT_ORDER_DESC', 'Kolejność wyświetlania. Najniższe cyfry zostają wyświetlone jako pierwsze.');
define('SOFORT_SR_STATUS_TITLE', 'Aktywacja modułu sofort.de');
define('SOFORT_SR_STATUS_DESC', 'Aktywacja/deaktywacja całego modułu');
define('SOFORT_SR_TEXT_DESCRIPTION', 'Kauf auf Rechnung z gwarancją płatności');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_TITLE', 'Dozwolone strefy');
define('SOFORT_SOFORTRECHNUNG_ALLOWED_DESC', 'Prosimy o podanie <b>pojedynczo</b> stref, które będą dozwolone do użytkowania przez ten moduł. (np. AT, DE (pusto pole oznacza uruchomienie wszystkich stref))');
define('SOFORT_SR_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SR_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SR_PEN_CON_INV_STATUS_ID_TITLE', 'Niepotwierdzony status zamówienia');
define('SOFORT_SR_PEN_CON_INV_STATUS_ID_DESC', 'Status zamówienia po dokonanej płatności. Faktura nie została jeszcze udostępniona przez sprzedawcę.'); // (pending-confirm_invoice)

define('SOFORT_SR_LOS_CAN_STATUS_ID_TITLE', 'Status zamówienia przy pełnym anulowaniu');
define('SOFORT_SR_LOS_CAN_STATUS_ID_DESC', 'Anulowany status zamówienia<br />Status zamówienia po pełnym anulowaniu faktury.');  //(loss-canceled, loss-confirmation_period_expired)

define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Potwierdzony status zamówienia');
define('SOFORT_SR_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Status zamówienia po pomyślnej i potwierdzonej transakcji i autoryzacji faktury przez sprzedawcę.'); //(pending-not_credited_yet)

define('SOFORT_SR_REF_REF_STATUS_ID_TITLE', 'Anulowanie po potwierdzeniu (zaksięgowanie na dobro rachunku)');
define('SOFORT_SR_REF_REF_STATUS_ID_DESC', 'Status zamówień, które po potwierdzeniu zostały zupełnie anulowane (zaksięgowanie na dobro rachunku).'); // (refunded_refunded)

define('SOFORT_SR_TMP_COMMENT', 'Kauf auf Rechnung wybrany jako metoda płatnicza. Transakcja nie jest zakończona.');
define('SOFORT_SR_TMP_COMMENT_SELLER', 'Przekierowanie do SOFORT - płatność nie miała jeszcze miejsca.');

define('SOFORT_SR_RECOMMENDED_PAYMENT_TITLE', '"Zalecane sposoby zapłaty"');
define('SOFORT_SR_RECOMMENDED_PAYMENT_DESC', '"Zaznacz tą metodę płatności jako "polecana metoda płatności". Na stronie płatności ma miejsce wskazanie bezpośrednio za metodą płatności."');
define('SOFORT_SR_RECOMMENDED_PAYMENT_TEXT', '("Zalecane sposoby zapłaty")');

define('SOFORT_SR_INVOICE_CONFIRMED_HISTORY', 'Polecenie potwierdzenia rachunku zostało przesłane do SOFORT. Czekamy na potwierdzenie przez SOFORT.');
define('SOFORT_SR_INVOICE_CANCELED_HISTORY', 'Polecenie anulowania rachunku zostało przesłane do SOFORT. Czekamy na potwierdzenie przez SOFORT.');
define('SOFORT_SR_INVOICE_REFUNDED_HISTORY', 'Polecenie zapisania na dobro rachunku zostało przesłane do SOFORT. Czekamy na potwierdzenie przez SOFORT.');

/////////////////////////////////////////////////
//////// Seller-Backend and callback.php ////////
/////////////////////////////////////////////////

define('SOFORT_SR_CONFIRM_INVOICE', 'Zatwierdzić fakturę');
define('SOFORT_SR_CANCEL_INVOICE', 'Anulować fakturę');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE', 'Zapisać fakturę na dobro rachunku');
define('SOFORT_SR_CANCEL_INVOICE_QUESTION', 'Czy rzeczywiście chcą Państwo anulować fakturę?  Proces ten nie może być cofnięty.');
define('SOFORT_SR_CANCEL_CONFIRMED_INVOICE_QUESTION', 'Jesteś pewien, że rzeczywiście chcesz zapisać fakturę na dobro rachunku? Tej operacji nie da się wycofać.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED_REFUNDED', 'Faktura została cofnięta. Zapis na koncie został przeprowadzony.');
define('SOFORT_SR_TRANSLATE_INVOICE_CANCELED', 'Rachunek został anulowany.');

define('SOFORT_SR_DOWNLOAD_INVOICE', 'Pobrać fakturę');
define('SOFORT_SR_DOWNLOAD_INVOICE_HINT', 'Pobierz tu odpowiedni dokument (podgląd faktury, fakturę, zapis na koncie).');
define('SOFORT_SR_DOWNLOAD_CREDIT_MEMO', 'Pobrać zapis na koncie');
define('SOFORT_SR_DOWNLOAD_INVOICE_PREVIEW', 'Pobierz podgląd faktury');

define('SOFORT_SR_EDIT_CART', 'Dopasować koszyk');
define('SOFORT_SR_UPDATE_CART', 'Zapisać koszyk');
define('SOFORT_SR_UPDATE_CART_QUESTION', 'Czy rzeczywiście chcesz dopasować koszyk?');
define('SOFORT_SR_UPDATE_CART_HINT', 'Zapisz tutaj Twoje zmiany koszyka. W przypadku potwierdzonej faktury artykuł o mniejszej ilości lub artykuł anulowany prowadzi do zapisania na dobro rachunku.');
define('SOFORT_SR_UPDATE_DISCOUNTS_HINT', 'Możesz dostosować zniżki i dopłaty. Dopłaty nie mogą być zwiększone a zniżki nie mogą mieć wartości większej od zera. Na skutek dostosowania łączna suma faktury nie może zostać podwyższona.');
define('SOFORT_SR_UPDATE_DISCOUNTS_GTZERO_HINT', 'Zniżki nie mogą otrzymać sum większych od zera.');
define('SOFORT_SR_UPDATE_QUANTITY', 'Dopasować ilość');
define('SOFORT_SR_UPDATE_QUANTITY_HINT', 'Możesz dopasować liczbę artykułów do każdej pozycji. Ilość jednakże można zmniejszyć, ale nie da się jej zwiększyć.');
define('SOFORT_SR_UPDATE_QUANTITY_TOTAL_GTZERO', 'Ilość artykułu nie może być zmniejszona, gdyż łączna kwota faktury nie może być ujemna.');
define('SOFORT_SR_UPDATE_QUANTITY_ZERO_HINT', 'Ilość musi być większa od 0. Aby usunąć proszę zaznaczyć artykuł na końcu linijki.');
define('SOFORT_SR_UPDATE_PRICE', 'Dopasować cenę');
define('SOFORT_SR_UPDATE_PRICE_HINT', 'Możesz dopasować cenę do poszczególnach artykułów. Ceny jednakże mogą zostać obniżone, ale nie da się ich podwyższyć.');
define('SOFORT_SR_UPDATE_PRICE_TOTAL_GTZERO', 'Cena nie może być obniżona, gdyż łączna kwota faktury nie może być ujemna.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_HINT', 'Nie może zostać równocześnie dopasowana cena i ilość.');
define('SOFORT_SR_UPDATE_PRICE_AND_QUANTITY_NAN', 'Wpisałeś nieprawidłowe znaki. W przypadku tych dostosowań są dopuszczalne tylko liczby.');
define('SOFORT_SR_UPDATE_VALUE_LTZERO_HINT', 'Wartość nie może byś mniejsza niż 0.');

define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE', 'Proszę wpisać komentarz');
define('SOFORT_SR_UPDATE_CONFIRMED_INVOICE_HINT', 'Dopasowując już zatwierdzoną fakturę należy dołączyć odpowiednie uzasadnienie. Pojawi się ono później przy zapisie na koncie jako komentarz do danego artykułu.');
define('SOFORT_SR_UPDATE_SHIPPING_HINT', 'Możesz dopasować cenę kosztów wysyłki. Cena może zostać jedynie obniżona, ale nie podwyższona.');
define('SOFORT_SR_UPDATE_SHIPPING_TOTAL_GTZERO', 'Koszty wysyłki nie mogą zostać obniżone, gdyż suma faktury nie może być negatywna.');

define('SOFORT_SR_RECALCULATION', 'jest na nowo naliczany');

define('SOFORT_SR_REMOVE_FROM_INVOICE_TOTAL_GTZERO','Ten artykuł nie może zostać usunięty, gdyż łączna kwota faktury nie może być ujemna.');
define('SOFORT_SR_REMOVE_ARTICLE_FROM_INVOICE', 'Usunąć artykuł');
define('SOFORT_SR_REMOVE_FROM_INVOICE', 'Usuń pozycję');
define('SOFORT_SR_REMOVE_FROM_INVOICE_QUESTION', 'Czy naprawdę chcesz anulować następujące artykuły: %s ?');
define('SOFORT_SR_REMOVE_FROM_INVOICE_HINT', 'Proszę zaznaczyć arktykuły do wykasowania. W przypadku potwierdzonej faktury wykasowanie artykułu prowadzi do zapisania na dobro rachunku.');
define('SOFORT_SR_REMOVE_LAST_ARTICLE_HINT', 'Na skutek zmniejszenia ilości wszystkich artykułów lub usunięcie ostatniego artykułu faktura zostanie całkowicie anulowana.');

define('SOFORT_SR_PEN_CON_INV_BUYER', 'Zamówienie zostało skutecznie przesłane. Potwierdzenie nie miało jeszcze miejsca.');
define('SOFORT_SR_PEN_CON_INV_SELLER', 'Zamówienie zostało zakończone - Faktura może zostać potwierdzone - Twój numer transakcji:');
define('SOFORT_SR_LOS_CAN_BUYER', 'Zamówienie anulowane.');
define('SOFORT_SR_LOS_CAN_SELLER', '');
define('SOFORT_SR_PEN_NOT_CRE_YET_BUYER', 'Zamówienie potwierdzone i w trakcie opracowywania.');
define('SOFORT_SR_PEN_NOT_CRE_YET_SELLER', 'Faktura została potwierdzona i sporządzona.');
define('SOFORT_SR_REF_REF_BUYER', 'Faktura została zapisana na dobro rachunku.');
define('SOFORT_SR_REF_REF_SELLER', 'Faktura została zapisana na dobro rachunku. Kwota została zaksięgowana.');
define('SOFORT_SR_TRANSLATE_INVOICE_REANIMATED', 'Anulacja faktury została unieważniona.');
define('SOFORT_SR_LOS_CON_PER_EXP_BUYER', 'Zamówienie anulowane.');
define('SOFORT_SR_LOS_CON_PER_EXP_SELLER', 'Zamówienie zostało anulowane. Minął czas potwierdzenia.');

define('SOFORT_SR_TRANSLATE_CURRENT_TOTAL', 'Aktualna kwota faktury:');

define('SOFORT_SR_INVOICE_CONFIRMED', 'Rachunek został potwierdzony.');
define('SOFORT_SR_TRANSLATE_TRANSACTION_ID', 'ID transakcji');
define('SOFORT_SR_TRANSLATE_CANCELED_REFUNDED', 'Faktura została cofnięta. Zapis na koncie został przeprowadzony. {{time}}');
define('SOFORT_SR_TRANSLATE_CART_EDITED', 'Koszyk został dopasowany.');
define('SOFORT_SR_TRANSLATE_CART_RESET', 'Koszyk został przywrócony do stanu wyjściowego.');

define('SOFORT_MULTIPAY_XML_FAULT_9000', 'Nie znaleziono faktury- transakcji.');
define('SOFORT_MULTIPAY_XML_FAULT_9001', 'Faktura nie mogła zostać zatwierdzona.');
define('SOFORT_MULTIPAY_XML_FAULT_9002', 'Podana kwota rachunku przekracza limit kredytowy.');
define('SOFORT_MULTIPAY_XML_FAULT_9003', 'Faktura nie mogła zostać anulowana.');
define('SOFORT_MULTIPAY_XML_FAULT_9004', 'Zapytanie zawierało nieprawidłowe pozycje w koszyku.');
define('SOFORT_MULTIPAY_XML_FAULT_9005', 'Koszyk nie mógł zostać dopasowany.');
define('SOFORT_MULTIPAY_XML_FAULT_9006', 'Dostęp do interfejsu traci ważność po 30 dniach od wpłynięcia płatności.');
define('SOFORT_MULTIPAY_XML_FAULT_9007', 'Faktura już została anulowana.');
define('SOFORT_MULTIPAY_XML_FAULT_9008', 'Suma przekazanego podatku VAT jest zbyt wysoka.');
define('SOFORT_MULTIPAY_XML_FAULT_9009', 'Kwoty stawek podatku VAT przekazanych dla artykułów są ze sobą sprzeczne.');
define('SOFORT_MULTIPAY_XML_FAULT_9010', 'Dostosowanie koszyka nie jest możliwe.');
define('SOFORT_MULTIPAY_XML_FAULT_9011', 'Nie przekazano komentarza dotyczącego dopasowania zawartości koszyka.');
define('SOFORT_MULTIPAY_XML_FAULT_9012', 'Nie można dodać pozycji do koszyka. Nie jest również możliwe podwyższenie ilości dla danej pozycji rachunku. Kwoty pojedynczych pozycji nie mogą przekroczyć kwoty pierwotnej.');
define('SOFORT_MULTIPAY_XML_FAULT_9013', 'W koszyku znajdują się wyłącznie artykuły niefakturowane.');
define('SOFORT_MULTIPAY_XML_FAULT_9014', 'Podany numer faktury już znajduje się w użyciu.');
define('SOFORT_MULTIPAY_XML_FAULT_9015', 'Podany numer dotyczący zapisania na dobro konta jest już w użyciu.');
define('SOFORT_MULTIPAY_XML_FAULT_9016', 'Podany numer zamówienia jest już w użyciu.');
define('SOFORT_MULTIPAY_XML_FAULT_9017', 'Faktura już została zatwierdzona.');
define('SOFORT_MULTIPAY_XML_FAULT_9018', 'Nie zostały dostosowane żadne dane faktury.');