<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_su.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('SOFORT_SU_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/sb/shopinfo/pl");
	</script>
');

define('SOFORT_SU_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Po potwierdzeniu zamówienia zostaną Państwo przekierowani do systemu płatności SOFORT Banking i mogą Państwo dokonać przelewu internetowego.</p><p>W tym celu potrzebują Państwo danych do logowania Pańskiej bankowości internetowej, numeru konta, PIN i kodu weryfikacyjnego TAN.</p></td></tr></table>');

define('SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Banking <br /> <img src="https://images.sofort.com/pl/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('SOFORT_SU_TEXT_TITLE', 'SOFORT Banking');
define('SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Banking z ochroną kupującgo');
define('SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/pl/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Banking jest bezpłatną, sprawdzoną przez TÜV usługą płatności firmy SOFORT AG.');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
	<a onclick="javascript:window.open(\'https://images.sofort.com/pl/su/landing.php\',\'Informacje klientów\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
		{{image}}
	</a>
	</td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');

define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>System płatniczy ze sprawdzoną przez TÜV ochroną danych</li><li>Rejestracja nie jest konieczna</li><li>Towar/usługa zostanie NATYCHMIAST wysłana</li><li>Prosimy o przygotowanie danych bankowości internetowej(PIN/TAN)</li></ul>');
define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>Poczas zapłaty z SOFORT Banking korzystają Państwo z ochrony kupującego! [[link_beginn]]Więcej informacji[[link_end]]</li><li>System płatniczy ze sprawdzoną przez TÜV ochroną danych </li><li>Brak konieczności rejestracji</li><li>Towar/usługa jest NATYCHMIAST wysyłana</li><li>Prosimy o przygotowanie danych bankowości internetowej (PIN/TAN)</li></ul>');
define('SOFORT_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/eng-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_TITLE', 'Dozwolone strefy');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_DESC', 'Prosimy o podanie <b>pojedynczo</b> stref, które będą dozwolone do użytkowania przez ten moduł. (np. AT, DE (pusto pole oznacza uruchomienie wszystkich stref))');
define('SOFORT_SU_STATUS_TITLE', 'Aktywacja modułu sofort.de');
define('SOFORT_SU_STATUS_DESC', 'Aktywacja/deaktywacja całego modułu');
define('SOFORT_SU_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SU_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SU_SORT_ORDER_TITLE', 'Kolejność wyświetlania');
define('SOFORT_SU_SORT_ORDER_DESC', 'Kolejność wyświetlania. Najniższe cyfry zostają wyświetlone jako pierwsze.');
define('SOFORT_SU_KS_STATUS_TITLE', 'Ochrona kupującego aktywowana');
define('SOFORT_SU_KS_STATUS_DESC', 'Aktywacja ochrony kupującego dla SOFORT Banking.');

define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Potwierdzony status zamówienia');
define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Potwierdzony status zamówienia<br />Status zamówienia po zakończonej transkacji.'); // (pending-not_credited_yet)

define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Status zamówienia, gdy nie stwierdzono wpływu środków');
define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Status zamówienia w przypadku braku wpływu pieniędzy na koncie. (Wymagania: konto w Sofort Bank).'); // (loss-not_credited)

define('SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Wpływ pieniędzy');
define('SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Status dla zamówień, gdy doszły pieniądze na konto SOFORT Bank.'); // (received-credited)

define('SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Częściowy zwrot');
define('SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Status dla zamówień, w przypadku których kupującemu została zwrócona część sumy.');  // (refunded-compensation)

define('SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'Pełny zwrot');
define('SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Status dla zamówień, w przypadku których cała suma została zwrócona kupującemu.'); // (refunded-refunded)

define('SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', '"Zalecane sposoby zapłaty"');
define('SOFORT_SU_RECOMMENDED_PAYMENT_DESC', '"Zaznacz tą metodę płatności jako "polecana metoda płatności". Na stronie płatności ma miejsce wskazanie bezpośrednio za metodą płatności."');
define('SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '("Zalecane sposoby zapłaty")');

define('SOFORT_SU_TMP_COMMENT', 'SOFORT Banking wybrany jako metoda płatnicza. Transakcja nie została zakończona.');
define('SOFORT_SU_TMP_COMMENT_SELLER', 'Przekierowanie do SOFORT - płatność nie miała jeszcze miejsca.');

define('SOFORT_SU_TEXT_ERROR_MESSAGE', 'Wybrana metoda płatnicza nie jest niestety możliwa lub została przerwana na życzenie klienta. Prosimy o wybranie innej metody płatniczej.');
define('SOFORT_MULTIPAY_XML_FAULT_SU', 'Wybrana metoda płatnicza nie jest niestety możliwa lub została przerwana na życzenie klienta. Prosimy o wybranie innej metody płatniczej.');

define('SOFORT_SU_PEN_NOT_CRE_YET_SELLER', '');
define('SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'Zamówienie z SOFORT Banking zostało pomyślnie przesłane. Państwa numer ID: {{transaction}}');
define('SOFORT_SU_LOS_NOT_CRE_SELLER', '');
define('SOFORT_SU_LOS_NOT_CRE_BUYER', 'Jak do tej pory nie stwierdzono nadejścia pieniędzy. {{time}}');
define('SOFORT_SU_REC_CRE_BUYER', '');
define('SOFORT_SU_REC_CRE_SELLER', 'Wpłynięcie płatności na konto');
define('SOFORT_SU_REF_REF_SELLER', '');
define('SOFORT_SU_REF_REF_BUYER', 'Kwota faktury zostanie zwrócona. {{time}}');
define('SOFORT_SU_REF_COM_SELLER', 'Część kwoty z rachunku została zwrócona. Całkowita zwrócona kwota: {{refunded_amount}}. {{time}}');
define('SOFORT_SU_REF_COM_BUYER', 'Część sumy zostanie zwrócony.');

?>